Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158639 - File dialog autocomplete dropdown disables alt-tab switching
Summary: File dialog autocomplete dropdown disables alt-tab switching
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdevelop
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 15:08 UTC by John Pye
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-17 23:19:00 UTC


Attachments (Terms of Use)

Description John Pye 2005-05-24 15:08:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Sorry if you've already had this bug reported... I'm new here. I couldn't find it anywhere in your bugzilla.

I think this might possibly be a more general KDE problem but I'm not sure. I couldn't find a section for Kate bugs, but it looks like Kate is just a component of Kdevelop so hopefully I can report here.

I've been opening lots of files based on the output of a command in a console window. When I'm in Kate and I have the file open dialog open, and I've partially typed the name of the file I want to open, sometimes I forget which one it was. I try to press alt-tab to switch over to my console window, but it doesn't work. I find that it's the file auto-complete thing which is blocking it. I have to press 'esc' to close the auto-complete dropdown in the file open dialog, and then I can press alt-tab. It would be great if I didn't have to press 'esc' for the alt-tab to work.

This works in windows :-p

Cheers -- JP

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start up kate
2. start up a terminal
3. alt-tab back to kate
4. alt-F-O to open a file
5. type first couple of letters of a file in your path. For example, type '.' if in ~
6. press alt-tab
  

Actual Results:  alt-tab does nothing

Expected Results:  alt-tab should have taken me to the terminal window

Additional info:

(I was using Kate, not Kdevelop. But I assume this is a pan-KDE problem. Or GNOME? Dunno)

Comment 1 Matthew Miller 2006-07-10 20:44:00 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Rex Dieter 2007-11-17 23:19:00 UTC
no feedback, closing.


Note You need to log in before you can comment on or make changes to this bug.